Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Conversation.TYPE

    java.lang.Object
      java.lang.Enum<Conversation.TYPE>
          com.skype.api.Conversation.TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Conversation.TYPE>

Enclosing class:
  Conversation

    public static enum Conversation.TYPE

extends java.lang.Enum<Conversation.TYPE>

Enum Constant Summary
`CONFERENCE` equivalent of a multichat
`DIALOG` 1:1 conversations, there is a one dialog per identity
`LEGACY_SHAREDGROUP` chat used for legacy shared groups, can be ignored
`LEGACY_VOICE_CONFERENCE` voice-only conference, when host is using a legacy non-conversation client
`TERMINATED_CONFERENCE` a conference that has been terminated (disbanded chat)

Method Summary
`static Conversation.TYPE` | `fromString(java.lang.String s)`
`static Conversation.TYPE` | `get(int code)`
`int` | `getId()`
`static Conversation.TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Conversation.TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DIALOG

    public static final Conversation.TYPE DIALOG

  1:1 conversations, there is a one dialog per identity

### CONFERENCE

    public static final Conversation.TYPE CONFERENCE

  equivalent of a multichat

### TERMINATED_CONFERENCE

    public static final Conversation.TYPE TERMINATED_CONFERENCE

  a conference that has been terminated (disbanded chat)

### LEGACY_VOICE_CONFERENCE

    public static final Conversation.TYPE LEGACY_VOICE_CONFERENCE

  voice-only conference, when host is using a legacy non-conversation client

### LEGACY_SHAREDGROUP

    public static final Conversation.TYPE LEGACY_SHAREDGROUP

  chat used for legacy shared groups, can be ignored

Method Detail

### values

    public static Conversation.TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Conversation.TYPE c : Conversation.TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Conversation.TYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Conversation.TYPE get(int code)

### fromString

    public static Conversation.TYPE fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.